package test.appProfConverter.dcworms;
public class AppPowerEstimator {

	public static Double PhasePower(SoftwarePhase phase, HardwareProfile hwProf) {
		Double pow = 0.0;

		PhaseState pstate = hwProf.proc.pStates_map.get(phase.RefFreq);

		pow = (pstate.powerUsageMax - pstate.powerUsageMin)
				* phase.PM_CPU_Usage;

		return pow;
	}
}
